Favicon

You are here: Home > API Reference > Android > Application Creation > Delete Android enterprise application

Delete Android enterprise application

Required Permission: mdm.android.application.remove

Permanently removes the Android application configuration and discontinues its availability for managed devices.

DELETE
/v1/organizations/:organizationId/mdm/android/enterprise/applications/emm-application/:emmApplicationId
Copy to clipboard

Delete Android enterprise application

Required Permission: mdm.android.application.remove

Permanently removes the Android application configuration and discontinues its availability for managed devices.

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
emmApplicationId string
required
Unique identifier for the Android enterprise application configuration within organizational MDM deployment.
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean required
data object required
delete any required
{
    "status": true,
    "data": {
        "delete": "string"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4001
message string optional
Unauthorized
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}